Bug 15815 - Improve wording in popup warning when deleting patron from patron-batch
Summary: Improve wording in popup warning when deleting patron from patron-batch
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-13 12:39 UTC by Heinrich Hartl
Modified: 2017-05-24 02:07 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15815: Reword confirm message when removing patrons from card batch (2.41 KB, patch)
2017-04-18 23:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15815: Reword confirm message when removing patrons from card batch (2.47 KB, patch)
2017-04-20 12:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15815: Reword confirm message when removing patrons from card batch (2.53 KB, patch)
2017-04-24 14:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Heinrich Hartl 2016-02-13 12:39:22 UTC
Deleting a Patron from a batch the following popup may hold the following text:
"Are you sure you want to remove card number(s):1 from this batch?"

In the example above however a Patron was chosen for deletion with borrowernumber 2, cardnumber "BB1" which aktuall occupied position 1 in the batch list! Index position (here 1) should not be termed card number. 
To avoid the incorrect naming the message could be changed.. However I'd prefer to skip this message altogether – do it the unix way: No comment on regular operation!
Comment 1 Aleisha Amohia 2017-04-18 23:21:51 UTC
Created attachment 62342 [details] [review]
Bug 15815: Reword confirm message when removing patrons from card batch

This patch rewords the confirm message when removing patrons from a card
batch.
From: "Are you sure you want to remove card number(s):1 from this
batch?"
To: "Are you sure you want to remove the selected patron(s) from this
batch?"

To test:
1) Go to Tools -> Patron Card Creator -> Manage batches
2) Edit a batch
3) Select one or more patrons and click 'Remove selected patrons' (not
individual Delete buttons)
4) Confirm the message is worded better and easier to understand
5) Click OK and confirm the patrons are deleted as expected

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2017-04-20 12:53:22 UTC
Created attachment 62469 [details] [review]
[SIGNED-OFF] Bug 15815: Reword confirm message when removing patrons from card batch

This patch rewords the confirm message when removing patrons from a card
batch.
From: "Are you sure you want to remove card number(s):1 from this
batch?"
To: "Are you sure you want to remove the selected patron(s) from this
batch?"

To test:
1) Go to Tools -> Patron Card Creator -> Manage batches
2) Edit a batch
3) Select one or more patrons and click 'Remove selected patrons' (not
individual Delete buttons)
4) Confirm the message is worded better and easier to understand
5) Click OK and confirm the patrons are deleted as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-04-24 14:06:18 UTC
Aleisha, labels and patron cards scripts are very tied, I think we should apply the same change to labels/label-edit-batch.tt
Comment 4 Jonathan Druart 2017-04-24 14:06:55 UTC
Created attachment 62602 [details] [review]
Bug 15815: Reword confirm message when removing patrons from card batch

This patch rewords the confirm message when removing patrons from a card
batch.
From: "Are you sure you want to remove card number(s):1 from this
batch?"
To: "Are you sure you want to remove the selected patron(s) from this
batch?"

To test:
1) Go to Tools -> Patron Card Creator -> Manage batches
2) Edit a batch
3) Select one or more patrons and click 'Remove selected patrons' (not
individual Delete buttons)
4) Confirm the message is worded better and easier to understand
5) Click OK and confirm the patrons are deleted as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-04-24 17:25:51 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 6 Katrin Fischer 2017-05-13 11:52:33 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.

Wording change - tiny enough for backporting :)
Comment 7 Mason James 2017-05-24 02:07:12 UTC
(In reply to Katrin Fischer from comment #6)
> This patch has been pushed to 16.11.x and will be in 16.11.08.
> 
> Wording change - tiny enough for backporting :)

ditto ^ :0)

Pushed to 16.05.x, for 16.05.13 release